#!/bin/sh


#此脚本用来把系统默认的EAIDK源替换为第三方源https://archives.fedoraproject.org/pub/archive/fedora/linux
#最后一步“sudo dnf makecache"需要联网状态
#如果联网后执行上一步“sudo dnf makecache"报错，可尝试重启系统reboot即可

main()
{
	#备份原文件
	if [ ! -d /etc/yum.repos.d.backup ];then
		cd /etc/
		sudo cp yum.repos.d/ yum.repos.d.backup -r
		echo "backup complete"
	else
		echo "no need to backup yum.repo.d"
	fi
	
	#删除EAIDK源服务器相关文件
	cd /etc/yum.repos.d/
	
	if [ -e /etc/yum.repos.d/openailab.repo ];then
		sudo rm /etc/yum.repos.d/openailab*
		echo "rm openailab* ok"
	else
		echo "no need to delete openailab*"
	fi

	if [ -e /etc/yum.repos.d/rockchip.repo ];then
		sudo rm /etc/yum.repos.d/rockchip*
		echo "rm rockchip* ok"
	else
		echo "no need to delete rockchip*"
	fi
	
	#替换源地址为第三方源https://archives.fedoraproject.org/pub/archive/fedora/linux

	fileList=`ls`

	for i in $fileList
	do
		sed -i "s/baseurl=http:\/\/www.eaidk.net\/fedora/baseurl=https:\/\/archives.fedoraproject.org\/pub\/archive\/fedora\/linux/g" $i
		sed -i "s/baseurl=http:\/\/219.139.34.182\/fedora/baseurl=https:\/\/archives.fedoraproject.org\/pub\/archive\/fedora\/linux/g" $i
	done

	#安装第三方非开源的 RPM 包的源
	sudo yum localinstall --nogpgcheck http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-28.noarch.rpm
	sudo yum localinstall --nogpgcheck http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-28.noarch.rpm

	sudo dnf clean all
	sudo dnf makecache
}



main
